Skip to content

getSupplierProcessesBySupplier

READ

Get supplier processes by supplier.

POST /api/v1/purchasing/getSupplierProcessesBySupplier
curl -X POST '<your-host>/api/v1/purchasing/getSupplierProcessesBySupplier' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "leadTime": 0,
      "minimumCost": 0,
      "processId": "string",
      "processName": "string",
      "supplierId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    }
  },
  "required": [
    "supplierId"
  ]
}